Subject: Re: [Gen-art] Genart telechat review of draft-ietf-netmod-yang-data-ext-04

From: Alissa Cooper <[email-masked]>
Date: Wed, 4 Dec 2019 11:41:53 -0500

Brian, thanks for your review. Martin, thanks for your response. I entered a No Objection ballot.

Alissa

> On Oct 21, 2019, at 3:37 AM, Martin Bjorklund <[email-masked]> wrote:
> 
> Hi,
> 
> Brian Carpenter via Datatracker <[email-masked] <mailto:[email-masked]>> wrote:
>> Reviewer: Brian Carpenter
>> Review result: Ready with Nits
>> 
>> Gen-ART Last Call & telechat review of draft-ietf-netmod-yang-data-ext-04
>> 
>> I am the assigned Gen-ART reviewer for this draft. The General Area
>> Review Team (Gen-ART) reviews all IETF documents being processed
>> by the IESG for the IETF Chair. Please wait for direction from your
>> document shepherd or AD before posting a new version of the draft.
>> 
>> For more information, please see the FAQ at
>> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>> 
>> Document: draft-ietf-netmod-yang-data-ext-04.txt
>> Reviewer: Brian Carpenter
>> Review Date: 2019-10-20
>> IETF LC End Date: TBD
>> IESG Telechat date: 2019-10-31
>> 
>> Summary: Ready with nits
>> --------
>> 
>> Comments: 
>> ---------
>> 
>> This was accidentally put on the IESG agenda without an IETF Last Call,
>> so this review serves both purposes.
>> 
>> The draft seems very clear and I have no technical comments.
>> 
>> Nits:
>> -----
>> 
>>> Updates: 8340 (if approved)
>>> Intended status: Standards Track
>> 
>> RFC 8340 is a BCP, so can this really be Standards Track?
>> Shouldn't it also be BCP, extending BCP 215? It's tricky,
>> because it also effectively extends RFC 8040, which is
>> Standards Track rather than BCP. Sadly it doesn't seem that
>> a document can be both BCP and Standards Track.
> 
> Hmm, the main contribution in this document (the "structure"
> extension), is not suitable as a BCP.  It is really just section 3
> that updates 8340.  I don't know to to resolve this, and will look at
> the document shepard for guidance!
> 
>> Also, this draft says:
>> 
>>>  The "yang-data" extension from [RFC8040] has been copied here,
>>>  renamed to "structure", and updated to be more flexible.
>> 
>> That reads as if RFC 8040 is also updated, and it leaves the
>> status of "yang-data" unclear. Is it now deprecated? Perhaps the
>> sentence would be clearer like this:
>> 
>>  This document defines a new YANG extension statement called
>>  "structure", which is similar to but more flexible than the
>>  "yang-data" extension from [RFC8040].
> 
> 
> Thank you, this is better!
> 
> 
> /martin
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/gen-art <https://www.ietf.org/mailman/listinfo/gen-art>